<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 $sede_usuario=$_SESSION['SEDE_USUARIO'];
 
mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes ORDER BY apellidos,nombres";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);


$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes  ORDER BY sedes.nombre_sede";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);

$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo, tipo FROM periodos where id_periodo>=70 ORDER BY periodos.id_periodo asc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);


$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias ORDER BY materias.nombre_materia";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);




$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);



 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

</head>
<script>
$(document).ready(function(){
	$("#nivel").change(function(){
		$.post("cargar_semestres.php",{ id:$(this).val() },function(data){$("#semestre").html(data);})
	});
})
</script>
<body>
<?php
// Cargo los datos de las Carreras.

mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());
$row_carreras = mysql_fetch_assoc($rst_carreras);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Estudiantes Inscritos </h2></td></tr></table>
<form name="form1" method="post" action="">
  <table width="80%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td><div align="right">Lapso:</div></td>
      <td colspan="5"><select name="periodo" id="periodo">
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select>
      &nbsp;Menci&oacute;n:
        <select name="nivel" id="nivel">
          <option value="99">SELECCIONE...</option>
		  <option value="0">TODAS LAS MENCIONES</option>
          <option value="CIU">CIU</option>
          <option value="CG">COMPONENTE GENERAL</option>
          <option value="ACE">ADUANAS Y COMERCIO EXTERIOR</option>
          <option value="FIN">FINANZAS P&Uacute;BLICAS</option>
          <option value="RT">RENTAS</option>
        </select></td>
    </tr>
    
    <tr>
      <td width="48"><div align="right">Turno:</div></td>
      <td width="665" colspan="5"> <select name="turno" id="turno">
        <option value="0">TODOS...</option>
        <option value="1">MATUTINO</option>
        <option value="2">VESPERTINO</option>
        <option value="4">NOCTURNO</option>
      </select>
	  &nbsp;&nbsp;&nbsp;Semestre:&nbsp; 
	  <select name="semestre" id="semestre">
        <option value="99">TODOS...</option>
     </select>
	  &nbsp;&nbsp;&nbsp;Sede:&nbsp;
      <select name="sede" id="sede">
        <option value="0">TODAS...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
        <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
      </select></td>
    </tr>
    
    

    

    <tr>
      <td height="34" colspan="6"><div align="center">
        <label>
		
		
        <input name="EnviarPDF" id="EnviarPDF" type="button"  value="Imprimir" onClick="imprimirPDF()" >
		</label>&nbsp;&nbsp;&nbsp;
		<label></label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <?php
mysql_free_result($rstDocentes);
mysql_free_result($rstSede);
mysql_free_result($rstPeriodos);
mysql_free_result($rstMaterias);

mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function imprimirPDF()
 { 
	if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
	}
	if(document.form1.nivel.value==99){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.nivel.focus();
			return false;
	}
	
	url="modelo/class_pdf/inscritos.php?id_periodo="+document.form1.periodo.value+"&sede="+document.form1.sede.value+"&nivel="+document.form1.nivel.value+"&turno="+document.form1.turno.value+"&semestre="+document.form1.semestre.value;
	window.open(url);
	
 }
</script>

<script type="text/javascript">
 function imprimirExcel()
 {
     if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
	}
	if(document.form1.nivel.value==99){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.nivel.focus();
			return false;
	}
 	url="modelo/class_pdf/inscritos_excel.php?id_periodo="+document.form1.periodo.value+"&sede="+document.form1.sede.value+"&nivel="+document.form1.nivel.value+"&turno="+document.form1.turno.value+"&semestre="+document.form1.semestre.value;
	window.open(url);
 }
</script>
